# 项目简介
- 项目名称：数据自动化分类检测
- 功能说明：自动化检测数据分类是否正确
- 代码仓库：https://api.gree.com/gitlab/cuiweizhi/AutoTest.git
- 项目负责人：崔为之
- 目录结构：
```
├─period 
│   ├─get_time.py        // 获取时间的模块(用于从 mysql 获取数据)
|   
├─config  
|  ├─__init__.py
|  ├─sql.conf           // 连接 mysql 数据的配置文件
|  ├─conn_sql.py        // 读取 mysql 配置文件，进行各种数据库操作
│  
├─data_processing
│   ├─data_deal.py     // 用于数据清洗
|   
├─check               // 检查各个分类正确性的模块
|   ├─airconditioner_check.py
|   ├─ancient_poem_check.py
|   ├─chat_check.py
|   ├─encyclopedia_check.py
|   ├─fm_check.py
|   ├─global_control_check.py
|   ├─holiday_check.py
|   ├─music_check.py
|   ├─news_check.py
|   ├─play_control_check.py
|   ├─science_check.py
|   ├─sports_check.py
|   ├─stocks_check.py
|   ├─translate_check.py
|   ├─universal_control_check.py
|   ├─weather_check.py
|
|
├─requirement.txt //python3 环境的配置
|
|
└─main.py // 主体代码
```
# 如何运行
- 创建虚拟环境: python -m venv venv
- 安装软件包： pip -r requirement.txt
- 运行服务：
```
(1) 修改配置文件：sql.conf 和 main.py 中的参数 day (根据自己需要修改)
(2) 运行服务：python3 main.py
```
# 版本信息
```
v1.0
```
# 更新日志
- v1.0 版本
```
(1) 首次创建项目
(2) 提供技能
```



