# -*- coding: utf-8 -*-
# @Author: Gree
# @Date:   2021-06-02 13:57:06
# @Last Modified by:   Gree
# @Last Modified time: 2021-06-02 14:02:29


import re
import pandas as pd


class EncyclopediaCheck:
    """百科语料自动化分类的检查"""
    def encyclopedia_check(self, row):
        """
        encyclopedia_check 函数:
        input:
        output: generator
        features: 百科语料自动化分类的检查
        step1: 检查 baike 的语料字段 domain、intent、response_text 是否正确 ✅
        """
        # 获取 domain
        domain = row['domain']
        # 获取 query
        query = row['query']
        # 获取 intent
        intent = row['intent']
        # 获取 response_text
        response_text = row['response_text']

        # 捕获异常
        try:
            if "search_baike" in intent:
                if query == "采蘑菇" or query == '光头强' or query == '风雨彩虹':
                    row['domain_is_right'] = 'no'
                    row['intent_is_right'] = 'no'
                    row['response_is_right'] = 'no'

                    # 生成器
                    yield {
                        'date_time': row['date_time'],
                        'request_id': row['request_id'],
                        'mac_wifi': row['mac_wifi'],
                        'user_id': row['user_id'],
                        'query': query,
                        'domain': domain,
                        'intent': intent,
                        'response_text': response_text,
                        'domain_is_right': row['domain_is_right'],
                        'intent_is_right': row['intent_is_right'],
                        'response_is_right': row['response_is_right']
                    }


                else:
                    row['domain_is_right'] = 'yes'
                    row['intent_is_right'] = 'yes'
                    row['response_is_right'] = 'yes'

                    # 生成器
                    yield {
                        'date_time': row['date_time'],
                        'request_id': row['request_id'],
                        'mac_wifi': row['mac_wifi'],
                        'user_id': row['user_id'],
                        'query': query,
                        'domain': domain,
                        'intent': intent,
                        'response_text': response_text,
                        'domain_is_right': row['domain_is_right'],
                        'intent_is_right': row['intent_is_right'],
                        'response_is_right': row['response_is_right']
                    }

            else:

                # 生成器
                yield {
                    'date_time': row['date_time'],
                    'request_id': row['request_id'],
                    'mac_wifi': row['mac_wifi'],
                    'user_id': row['user_id'],
                    'query': query,
                    'domain': domain,
                    'intent': intent,
                    'response_text': response_text,
                    'domain_is_right': "",
                    'intent_is_right': "",
                    'response_is_right': ""
                }


        except Exception as e:
            print("The error of getting generator in the module of encyclopedia_check():", e)

